/* mwcollect2 (c) 2004-2005 Honeynet Project
 * this code is licensed under the BSD License, the the file LICENSE for details
 *
 * session.cpp - the substuff that handles the packets, one session per connect...
 */

#include "wins.h"

WinsSession::WinsSession(MalwareCollector * pCollector, LogManager * pLogManager)
{
	m_pCollector = pCollector;
	m_pLogManager = pLogManager;
}

WinsSession::~WinsSession()
{
}

void WinsSession::etablishedConnection(unsigned long ulSource, unsigned short usSourcePort, unsigned short usLocalPort)
{
	struct in_addr addr;
	addr.s_addr = ulSource;

	m_wsState = WINSS_NONE;
	m_ulSource = ulSource;
	m_usLocalPort = usLocalPort;

	m_pLogManager->log(LL_INFO, "Incoming WINS connection from %s:%u (to :%u).", inet_ntoa(addr), usSourcePort, usLocalPort, this);
}

void WinsSession::incomingData(int iHandle, unsigned char * pucData, unsigned int nLength)
{
}

void WinsSession::connectionTerminated()
{
}
